QGIS Application - Bug report #8950
"Merge Selected Features" works but QGIS crashes on save
2013-10-24 02:48 PM - Andrew Loerch

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.0.1 Regression?: No
Operating System: Macbook Pro Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 17615
Description

When merging features in polyline shapefiles (have not tried other filetypes), the merge works for the first 3-4 merges and edit saves... the
following (say fifth) merge works, but when the edit is saved, QGIS crashes completely. When reopened, the polyline shapefile shows
that the merge was successful, and was saved.

| have replicated this problem using the Natural Earth 10m road file and the adventure cycling association's bicycle routes files (which
were saved as shape files).

My system has 8GB of RAM, and typically QGIS is the only open application when this crash occurs. The QGIS version I'm using is 2.0.1

History

#1 - 2013-10-24 02:49 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-02-07 05:41 AM - Giovanni Manghi
- Category changed from Browser to Digitising

#3 - 2014-02-09 04:43 AM - Martin Dobias

| cannot replicate. Please try to add more details:

- does it happen also with other files, different geometry types?

- does it happen always or just sometimes?

- are there always successful merges + saves prior to the crash?

It would also help if you could attach a small data file and exact instructions how to get to the crash.
#4 - 2014-02-09 04:43 AM - Martin Dobias

- Status changed from Open to Feedback

#5 - 2014-06-22 03:01 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

closing for lack of feedback.
